summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>2007-12-07 21:23:36 -0500
committerBill Nottingham <notting@redhat.com>2007-12-07 21:23:36 -0500
commit6f6caa1e461b73a25fd4625a4bc16994b455987d (patch)
treebbfa2b820323af3f7fcdf5e27a659800183beb51 /scripts
parentcc5f75834e2fbf08a7c8d1b44c5e6cda2d7f6188 (diff)
downloadanaconda-6f6caa1e461b73a25fd4625a4bc16994b455987d.tar.gz
anaconda-6f6caa1e461b73a25fd4625a4bc16994b455987d.tar.xz
anaconda-6f6caa1e461b73a25fd4625a4bc16994b455987d.zip
Catch errors from yum, exit on them.
When building the root for the second stage, we should a) catch stderr so we see yum errors in the log b) exit on those errors, as it's unlikely the images will be any good if we can't install the package set.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/upd-instroot2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/upd-instroot b/scripts/upd-instroot
index dcd7db9ad..1aad290dd 100755
--- a/scripts/upd-instroot
+++ b/scripts/upd-instroot
@@ -163,7 +163,7 @@ expandPackageSet() {
KEEPFILES=$5
[ -d $PKGDEST ] || die "ERROR: directory missing: $PKGDEST"
- yum -c $YUMCONF -y --installroot=$YUMDIR install $RPMS
+ yum -c $YUMCONF -y --installroot=$YUMDIR install $RPMS 2>&1 || die "ERROR: could not install packages"
# figure out the theme to keep
if [ -f $YUMDIR/etc/gtk-2.0/gtkrc ]; then